Page MenuHomePhabricator

Full screen map does not hide sidebar in "Cologne Blue" skin
Closed, ResolvedPublic

Description

Switch to "Cologne Blue" skin, click on any maplink or mapframe items. The full screen shows map, but keeps the left sidebar on the top.

Event Timeline

Yurik created this task.Nov 7 2016, 2:41 AM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 7 2016, 2:41 AM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald Transcript
JGirault claimed this task.Nov 7 2016, 10:50 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.

Wow, the skin sets a z-index: 99; on that sidebar ...

I guess this is rather a problem of this skin not working with .oo-ui-windowManager-modal > .oo-ui-dialog, using z-index: 4;

matmarex edited projects, added CologneBlue; removed OOUI.Nov 8 2016, 9:16 AM

Change 320353 had a related patch set (by Bartosz Dziewoński) published:
It's not needed here at all, and it causes the sidebar to overlap OOjs UI dialogs.

https://gerrit.wikimedia.org/r/320353

matmarex claimed this task.Nov 8 2016, 9:18 AM
matmarex lowered the priority of this task from Low to Lowest.
JGirault moved this task from In progress to Needs review on the Maps-Sprint board.

Change 320353 merged by jenkins-bot:
Remove unnecessary z-index on the sidebar

https://gerrit.wikimedia.org/r/320353

matmarex closed this task as Resolved.Nov 9 2016, 12:15 AM
matmarex removed a project: Patch-For-Review.